import React from 'react';
import type { INotification } from './NotificationsPopover';
export interface INotificationListProps {
    notifications: INotification[];
    onEditTag(notification: INotification): void;
    onDeleteTag(notification: INotification): void;
}
/**
 * Renders a list of notifications.
 * Provides edit and delete buttons.
 */
export declare class NotificationList extends React.Component<INotificationListProps> {
    render(): JSX.Element;
}
